CMSIS-RTOS2: Data Fields

| CMSIS-RTOS2 Version 2.1.3 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- api : osVersion_t
- arg : osRtxTimerFinfo_t
- attr : osRtxMutex_t , osRtxThread_t
- attr_bits : osEventFlagsAttr_t , osMemoryPoolAttr_t , osMessageQueueAttr_t , osMutexAttr_t , osSemaphoreAttr_t , osThreadAttr_t , osTimerAttr_t

### - b -

- block_base : osRtxMpInfo_t
- block_free : osRtxMpInfo_t
- block_lim : osRtxMpInfo_t
- block_size : osRtxMpInfo_t

### - c -

- cb_mem : osEventFlagsAttr_t , osMemoryPoolAttr_t , osMessageQueueAttr_t , osMutexAttr_t , osSemaphoreAttr_t , osThreadAttr_t , osTimerAttr_t
- cb_size : osEventFlagsAttr_t , osMemoryPoolAttr_t , osMessageQueueAttr_t , osMutexAttr_t , osSemaphoreAttr_t , osThreadAttr_t , osTimerAttr_t
- cnt_alloc : osRtxObjectMemUsage_t
- cnt_free : osRtxObjectMemUsage_t

### - d -

- delay : osRtxThread_t
- delay_next : osRtxThread_t
- delay_prev : osRtxThread_t

### - e -

- event_flags : osRtxEventFlags_t

### - f -

- finfo : osRtxTimer_t
- flags : osRtxConfig_t , osRtxEventFlags_t , osRtxMemoryPool_t , osRtxMessage_t , osRtxMessageQueue_t , osRtxMutex_t , osRtxObject_t , osRtxSemaphore_t , osRtxThread_t , osRtxTimer_t
- flags_options : osRtxThread_t
- func : osRtxTimerFinfo_t

### - i -

- id : osRtxEventFlags_t , osRtxMemoryPool_t , osRtxMessage_t , osRtxMessageQueue_t , osRtxMutex_t , osRtxObject_t , osRtxSemaphore_t , osRtxThread_t , osRtxTimer_t
- idle_thread_attr : osRtxConfig_t
- isr_queue : osRtxConfig_t , osRtxInfo_t

### - k -

- kernel : osRtxInfo_t , osVersion_t

### - l -

- load : osRtxTimer_t
- lock : osRtxMutex_t

### - m -

- max_blocks : osRtxMpInfo_t
- max_tokens : osRtxSemaphore_t
- max_used : osRtxObjectMemUsage_t
- mem : osRtxConfig_t , osRtxInfo_t
- mp_info : osRtxMemoryPool_t , osRtxMessageQueue_t
- mp_mem : osMemoryPoolAttr_t
- mp_size : osMemoryPoolAttr_t
- mpi : osRtxConfig_t , osRtxInfo_t
- mq_mem : osMessageQueueAttr_t
- mq_size : osMessageQueueAttr_t
- msg_count : osRtxMessageQueue_t
- msg_first : osRtxMessageQueue_t
- msg_last : osRtxMessageQueue_t
- msg_size : osRtxMessageQueue_t
- mutex_list : osRtxThread_t

### - n -

- name : osEventFlagsAttr_t , osMemoryPoolAttr_t , osMessageQueueAttr_t , osMutexAttr_t , osRtxEventFlags_t , osRtxMemoryPool_t , osRtxMessageQueue_t , osRtxMutex_t , osRtxObject_t , osRtxSemaphore_t , osRtxThread_t , osRtxTimer_t , osSemaphoreAttr_t , osThreadAttr_t , osTimerAttr_t
- next : osRtxMessage_t , osRtxTimer_t

### - o -

- os_id : osRtxInfo_t
- owner_next : osRtxMutex_t
- owner_prev : osRtxMutex_t
- owner_thread : osRtxMutex_t

### - p -

- padding : osRtxMutex_t
- post_process : osRtxInfo_t
- prev : osRtxMessage_t , osRtxTimer_t
- priority : osRtxMessage_t , osRtxThread_t , osThreadAttr_t
- priority_base : osRtxThread_t

### - r -

- reserved : osRtxEventFlags_t , osRtxMemoryPool_t , osRtxMessageQueue_t , osRtxObject_t , osRtxSemaphore_t , osThreadAttr_t
- reserved_state : osRtxEventFlags_t , osRtxMemoryPool_t , osRtxMessage_t , osRtxMessageQueue_t , osRtxMutex_t , osRtxSemaphore_t
- robin_timeout : osRtxConfig_t

### - s -

- sp : osRtxThread_t
- stack_frame : osRtxThread_t
- stack_mem : osRtxThread_t , osThreadAttr_t
- stack_size : osRtxThread_t , osThreadAttr_t
- state : osRtxObject_t , osRtxThread_t , osRtxTimer_t

### - t -

- thread : osRtxInfo_t
- thread_addr : osRtxThread_t
- thread_flags : osRtxThread_t
- thread_join : osRtxThread_t
- thread_list : osRtxEventFlags_t , osRtxMemoryPool_t , osRtxMessageQueue_t , osRtxMutex_t , osRtxObject_t , osRtxSemaphore_t
- thread_next : osRtxThread_t
- thread_prev : osRtxThread_t
- thread_stack_size : osRtxConfig_t
- tick : osRtxTimer_t
- tick_freq : osRtxConfig_t
- tick_irqn : osRtxInfo_t
- timer : osRtxInfo_t
- timer_mq_attr : osRtxConfig_t
- timer_mq_mcnt : osRtxConfig_t
- timer_thread_attr : osRtxConfig_t
- tokens : osRtxSemaphore_t
- type : osRtxTimer_t
- tz_memory : osRtxThread_t
- tz_module : osThreadAttr_t

### - u -

- used_blocks : osRtxMpInfo_t

### - v -

- version : osRtxInfo_t

### - w -

- wait_flags : osRtxThread_t